#include <bits/stdc++.h>

using namespace std;

string x, y, rez;
long long p;

int main () {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin >> x >> y;
    for(int i = 1; i <= min(x.size(), y.size()); i++){
        if (x[x.size()-i] == y[y.size()-i]) {
            rez += x[x.size()-i];
            rez += x[x.size()-i];
        }
        else {
            rez += max(x[x.size()-i], y[y.size()-i]);
        }

    }

    p = x.size() - y.size();
    if (x.size() > y.size()) cout << x.substr(0, abs(p));
    else if (x.size() < y.size()) cout << y.substr(0, abs(p));

    for (int i = rez.size() - 1; i >= 0; i--)
        cout << rez[i];

return 0;
}